# This code is copyrighted by Stephan Richter and
# Thomas Foerster in September, 2001.
#
# written by Stephan Richter
# Last updated: October 4, 2001

__doc__ = '''ZOQL Method'''


# DEBUG IMPORTS
import CatalogOperators
from Parser import Operators, oqlgen, oqlsem, oqlgram
from Parser.ZOQLExceptions import *


import ZOQLMethod

def initialize(context):
    context.registerHelp()
    context.registerClass(ZOQLMethod.ZOQLMethod,
                          permission='Add Documents, Images, and Files',
                          icon='www/zoql_method.gif',
                          constructors=(ZOQLMethod.manage_addZOQLMethodForm,
                                        ZOQLMethod.manage_addZOQLMethod)
                          )
